package simulator;

import java.util.*;

abstract public class CellProgram
{
    public abstract void init(Vector args);
    public abstract void runCellProgramForOneStep(Cell cell);
    public abstract Vector provideService(Vector args);
    public abstract void extend (CellProgram cpa);
}
