package simulator;

import java.util.*;
import javax.media.j3d.*;

public abstract class SystemModel
{
    Simulation sim;
    
    public SystemModel (Simulation p_sim) { sim = p_sim; }
    public Simulation getSimulation () { return sim; }
    
    public abstract void init (Vector args);
    public abstract void runCellProgramForOneStep ();
    public abstract Vector provideService (Vector args);
    public abstract BranchGroup getDisplayGraph ();
}
